<app-loader></app-loader>
<div class="login-img custom-bg">
  <div class="page">
    <div class="custompage" style="background-image: linear-gradient(to top, #0091EA 0%, #ffffff 100%);">
      <div class="row">
        <div class="col-md-8">
          <div fxLayoutGap="16px">
            <!-- <div fxFlex="25%" fxFlex.xs="100%" fxFlex.sm="33%"> -->
            <mat-card class="z-depth">
              <mat-card-header>
                <mat-card-title>
                  <mat-icon>description</mat-icon> ประกาศข่าวสารเกี่ยวกับระบบ
                </mat-card-title>
                <!-- <mat-card-subtitle>{{item}}</mat-card-subtitle> -->
              </mat-card-header>
              <!-- <img mat-card-image width="100px" src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu"> -->
              <!-- <mat-divider class="orange"></mat-divider> -->
              <!-- <img mat-card-image src="./../assets/images/mountains.jpg"> -->
              <mat-card-content>
                <mat-carousel timings="250ms ease-in" [autoplay]="true" [interval]="5000" color="accent"
                  maxWidth="mx-auto" [proportion]="58" [slides]="5" [loop]="true" [hideArrows]="false"
                  [hideIndicators]="false" [useKeyboard]="true" [useMouseWheel]="true" orientation="ltr"
                  [maintainAspectRatio]="true">
                  <mat-carousel-slide #matCarouselSlide *ngFor="let slide of slides; let i = index"
                    [image]="slide.image" overlayColor="#00000040" [hideOverlay]="false"></mat-carousel-slide>
                </mat-carousel>

                <!-- <div>
                  <p>What is Lorem Ipsum?
                    Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the
                    industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type
                    and scrambled it to make a type specimen book. It has survived not only five centuries, but also the
                    leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s
                    with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop
                    publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
                </div> -->
              </mat-card-content>
              <mat-card-actions>
                <!-- <button mat-button>LIKE</button> -->
                <button mat-button color="primary">ดูทั้งหมด</button>
              </mat-card-actions>
            </mat-card>
            <!-- </div> -->
          </div>
        </div>
        <div class="col-md-4">
          <div class="login-content  mt-0"
            style="color:white;background-image: linear-gradient(to top, #01579B 0%, #03A9F4 100%);">
            <div class="row">
              <div class="col d-block mx-auto">
                <div class="row">
                  <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">
                    <div class="col-md-12">
                      <img src="../../../assets/images/ktb-logo-white.png" height="100px" alt="ธนาคารกรุงไทย">
                      <p>
                        <a style="color: white;font-family: inherit;font-size: x-large;">Electronic Planning and Processing for P2P (EPP)</a>
                        <!-- <i class="fa fa-male"></i><i class="fa fa-street-view"></i> -->
                      </p>
                      <div class="form-group  text-left">
                        <label class="form-label text-left" for="exampleInputEmail1"><i class="fa fa-user"></i>
                          Username</label>
                        <input type="text" formControlName="username" class="form-control" placeholder="Username"
                          [ngClass]="{ 'is-invalid': submitted && loginForm.controls['username'].errors }" />
                        <div *ngIf="submitted && loginForm.controls['username'].errors" class="invalid-feedback">
                          <div *ngIf="loginForm.controls['username'].errors['required']" style="color:yellow;">Username is required</div>
                        </div>
                      </div>
                      <div class="form-group  text-left">
                        <label for="inputPassword3" class="text-left form-label"><i class="fa fa-lock"></i>
                          Password</label>
                        <input type="password" formControlName="password" class="form-control" placeholder="Password"
                          [ngClass]="{ 'is-invalid': submitted && loginForm.controls['password'].errors }" />
                        <div *ngIf="submitted && loginForm.controls['password'].errors" class="invalid-feedback">
                          <div *ngIf="loginForm.controls['password'].errors['required']" style="color:yellow;">Password is required</div>
                        </div>
                      </div>
                      <div class="text-left">
                        <button [disabled]="loading" class="btn" style="background-color:white;color: slategray;">
                          <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                          <i class="glyphicon glyphicon-log-in"></i>
                          Login
                        </button>
                      </div>
                      <!-- <div class="text-left mt-4" style="color:yellow;">
                        <label *ngIf="error">!!! {{error}}</label>
                      </div> -->
                    </div>
                  </form>
                </div>
              </div>
            </div>
          </div>
      </div>
      </div>
    </div>
  </div>
</div>
<div style="float: right;">
  <button mat-button (click)="showversion()" >Application Electronic Planning and Processing for P2P (EPP) Env:prod Version:1.0.0</button>
</div>
